.\"	$NetBSD: qn.4,v 1.7 2001/10/28 18:47:03 wiz Exp $
.\"
.\"
.\" Copyright (c) 1995 Mika Kortelainen. All rights reserved.
.\" Copyright (c) 1995 Bernd Ernesti and Klaus Burkert. All rights reserved.
.\" Copyright (c) 1992, 1993
.\" 	The Regents of the University of California. All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"	This product includes software developed by Klaus Burkert,by Bernd
.\"	Ernesti, by Michael van Elst, and by the University of California,
.\"	Berkeley and its contributors.
.\" 4. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.\" Thanks for Aspecs Oy (Finland) for the data book for the NIC used
.\" in this card and also many thanks for the Resource Management Force
.\" (QuickNet card manufacturer) and especially Daniel Koch for providing
.\" me with the necessary 'inside' information to write the driver.
.\"
.\" This is partly based on other code:
.\" - if_ed.c: basic function structure for Ethernet driver
.\" - if_es.c: used as an example of -current driver
.\"
.\" The following requests are required for all man pages.
.Dd October 5, 1995
.Dt QN 4 amiga
.Os
.Sh NAME
.Nm qn
.Nd Ethernet driver for Fujitsu MB86950 based boards
.Sh SYNOPSIS
.Cd "qn* at zbus0"
.Sh DESCRIPTION
The
.Nm
interface provides access to the 10 Mb/s Ethernet network via the
.Tn Fujitsu
MB86950
Ethernet chip set.
.Pp
Each of the host's network addresses
is specified at boot time with an
.Dv SIOCSIFADDR
.Xr ioctl 2 .
The
.Nm
interface employs the address resolution protocol described in
.Xr arp 4
to dynamically map between Internet and Ethernet addresses on the local
network.
.Sh HARDWARE
The
.Nm
interface supports the following Zorro II expansion cards:
.Bl -tag -width "QuickNet" -offset indent
.It Em QuickNet
Resource Management Force's Ethernet card, manufacturer\ 2011, product\ 2
.El
.Sh NOTES
Multicasting not done yet. If the driver happens to lock up, you may use
.Xr ifconfig 8
to force the driver down and up again. This usually helps.
.Sh SEE ALSO
.Xr arp 4 ,
.Xr inet 4 ,
.Xr intro 4 ,
.Xr ifconfig 8
.Sh HISTORY
The
.Nm
interface first appeared in
.Nx 1.1
